Imports FarPoint.Win
Imports FarPoint.Win.Spread

Public Class FpSpreadComboEventIssues

    Private m_DataSet As New DataSet

    Private m_DataView1 As DataView

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        m_DataSet.ReadXml("..\..\TestData.xml")

        With Me.FpSpread1
            .ButtonDrawMode = ButtonDrawModes.CurrentCell

            With .ActiveSheet

                .DataSource = m_DataSet.Tables("Employees")
                .Columns(1).Visible = False

                m_DataView1 = New DataView(m_DataSet.Tables("Faces"))

                Dim mc As New CellType.MultiColumnComboBoxCellType
                With mc
                    .DataSourceList = m_DataView1
                End With
                .Columns(0).CellType = mc

                Dim cb As New CellType.ComboBoxCellType
                With cb
                    .Items = New String() {"1", "2", "3", "4", "5", "6"}
                    .AutoSearch = AutoSearch.None
                End With
                .Columns(2).CellType = cb

            End With
        End With
    End Sub

    Private Sub FpSpread1_ComboCloseUp(ByVal sender As Object, ByVal e As FarPoint.Win.Spread.EditorNotifyEventArgs) Handles FpSpread1.ComboCloseUp
        Try
            If Me.chkComboCloseUp.Checked Then
                If Me.chkMakeSpreadOwner.Checked Then
                    ' Note: The following works because the message box owner is passed into the message box.
                    MessageBox.Show(Me.FpSpread1, "ComboCloseUp", "Owned")
                    If Me.chkDoubleMessages.Checked Then MessageBox.Show(Me.FpSpread1, "ComboCloseUp2", "Owned")
                Else
                    MessageBox.Show("ComboCloseUp", "Std")
                    If Me.chkDoubleMessages.Checked Then MessageBox.Show("ComboCloseUp2", "Std")
                End If
            End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

    Private Sub FpSpread1_ComboDropDown(ByVal sender As Object, ByVal e As FarPoint.Win.Spread.EditorNotifyEventArgs) Handles FpSpread1.ComboDropDown
        Try
            If Me.chkComboDropDown.Checked Then
                If Me.chkMakeSpreadOwner.Checked Then
                    ' Note: The following works because the message box owner is passed into the message box.
                    MessageBox.Show(Me.FpSpread1, "ComboDropDown", "Owned")
                    If Me.chkDoubleMessages.Checked Then MessageBox.Show(Me.FpSpread1, "ComboDropDown2", "Owned")
                Else
                    MessageBox.Show("ComboDropDown", "Std")
                    If Me.chkDoubleMessages.Checked Then MessageBox.Show("ComboDropDown2", "Std")
                End If
            End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

    Private Sub FpSpread1_ComboSelChange(ByVal sender As Object, ByVal e As FarPoint.Win.Spread.EditorNotifyEventArgs) Handles FpSpread1.ComboSelChange
        Try
            If Me.chkComboSelChange.Checked Then
                If Me.chkMakeSpreadOwner.Checked Then
                    ' Note: The following works because the message box owner is passed into the message box.
                    MessageBox.Show(Me.FpSpread1, "ComboSelChange", "Owned")
                    If Me.chkDoubleMessages.Checked Then MessageBox.Show(Me.FpSpread1, "ComboSelChange2", "Owned")
                Else
                    MessageBox.Show("ComboSelChange", "Std")
                    If Me.chkDoubleMessages.Checked Then MessageBox.Show("ComboSelChange2", "Std")
                End If
            End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

End Class
